Skip to main content
`Ctrl`+`K`

# KSPPIPEFGMRESSetShift

Set the shift parameter for the flexible, pipelined `KSPPIPEFGMRES` solver.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFGMRESSetShift(KSP ksp, PetscScalar shift)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- shift - the shift

## Options Database Key

- -ksp_pipefgmres_shift - set the shift parameter

## Note

A heuristic is to set this to be comparable to the largest eigenvalue of the preconditioned operator. This can be achieved with PETSc itself by using a few iterations of a Krylov method. See `KSPComputeEigenvalues()` (and note the caveats there).

## See Also

KSP: Linear System Solvers, `KSPPIPEFGMRES`, `KSPComputeEigenvalues()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/pipefgmres/pipefgmres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages